class Vecx < Formula
  desc "Vectrex emulator"
  homepage "https://github.com/jhawthorn/vecx"
  url "https://github.com/jhawthorn/vecx/archive/v1.1.tar.gz"
  sha256 "206ab30db547b9c711438455917b5f1ee96ff87bd025ed8a4bd660f109c8b3fb"
  license "GPL-3.0"
  revision 1
  head "https://github.com/jhawthorn/vecx.git", branch: "master"

  # Upstream PR for SDL 2 support was opened on 2019-04-13 but no progress on merging.
  # PR ref: https://github.com/jhawthorn/vecx/pull/5
  # Last release on 2016-08-19
  deprecate! date: "2023-02-05", because: "uses deprecated `sdl_gfx` and `sdl_image`"

  depends_on "sdl12-compat"
  depends_on "sdl_gfx"
  depends_on "sdl_image"

  def install
    # Fix missing symbols for inline functions
    # https://github.com/jhawthorn/vecx/pull/3
    if OS.mac?
      inreplace ["e6809.c", "vecx.c"], /__inline/, 'static \1'
    else
      inreplace "Makefile", /^CFLAGS :=/, "\\0 -fgnu89-inline "
    end

    system "make"
    bin.install "vecx"
  end

  test do
    # Disable this part of the test on Linux because display is not available.
    return if OS.linux? && ENV["HOMEBREW_GITHUB_ACTIONS"]

    assert_match "rom.dat: No such file or directory", shell_output("#{bin}/vecx 2>&1", 1)
  end
end
